

rmk added to -mm a check to the build system which causes it to fail if
vmlinux has undefined symbols.  On sparc64:

ldchk: .tmp_vmlinux1: final image has undefined symbols:
  
  current_thread_info_reg
  silo_args

Here's a fix for silo_args.  I don't know what to do about
current_thread_info_reg.

Cc: Russell King <rmk@arm.linux.org.uk>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-sparc64-akpm/arch/sparc64/kernel/head.S |    1 -
 1 files changed, 1 deletion(-)

diff -puN arch/sparc64/kernel/head.S~sparc64-remove-silo-args arch/sparc64/kernel/head.S
--- 25-sparc64/arch/sparc64/kernel/head.S~sparc64-remove-silo-args	2004-07-04 23:32:11.492203184 -0700
+++ 25-sparc64-akpm/arch/sparc64/kernel/head.S	2004-07-04 23:32:18.574126568 -0700
@@ -50,7 +50,6 @@ bootup_user_stack:
  */
         .global root_flags, ram_flags, root_dev
         .global sparc_ramdisk_image, sparc_ramdisk_size
-	.globl	silo_args
 
         .ascii  "HdrS"
         .word   LINUX_VERSION_CODE
_
